let procedimiento;

export default procedimiento = {
  p_traer_registros_consulta_principal: {
    parametro: {
      campos: (tabla, campo) => {

        let campos = null;

        switch (tabla) {

          case 'entidades':
            campos = `
              id_${campo} AS valor,
              dbo.f_nombre_entidad(id_${campo}) AS descripcion
            `;
          break;

          case 'usuarios':
            campos = `
              id_${campo.replace('_asignado', '')} AS valor,
              ${campo.replace('_asignado', '')} AS descripcion
            `;
          break;

          case 'clientes':
            campos = `
              id_${campo} AS valor,
              dbo.f_nombre_entidad(id_entidad) AS descripcion
            `;
          break;

          case 'suplidores':
            campos = `
              id_${campo} as valor,
              dbo.f_nombre_entidad(id_entidad) AS descripcion
            `;
          break;

          case 'nominas':
            campos = `
              id_${campo} AS valor,
              CONCAT(FORMAT(fecha_inicial, 'dd/MM/yyyy'), ' AL ', FORMAT(fecha_final, 'dd/MM/yyyy')) AS descripcion
            `;
          break;
      
          default:
            campos = `
              id_${campo} AS valor,
              ${campo} AS descripcion
            `
          break;
      
        }

        return campos

      },
      sql: (tabla, campo) => {

        let sql = null;

        switch (tabla) {

          case 'clientes':
            sql = ``
          break;

          default:
            sql = `
              ${campo} LIKE '%${$('#ventanaEmergenteConsulta #campoConsulta').val()}%'
            `
          break;

        }

        return sql.trim()

      },
    }
  }
}